## linuxlogo 6.0

=== Makefile ===
##############################################################
#  Makefile for Linux Logo -- by Vince Weaver                #
##############################################################

-include Makefile.default

PROGNAME = linux_logo

#ifeq ($(OS),IRIX64) 
#   LDFLAGS += -lintl
#endif

ifeq ($(OS),FreeBSD)
    LDFLAGS += -lintl
endif

#
# Installation location
#
INSTALL_BINPATH = $(DESTDIR)$(PREFIX)/bin
INSTALL_MANPATH = $(DESTDIR)$(PREFIX)/share/man
INSTALL_DOCPATH = $(DESTDIR)$(PREFIX)/share/doc

#
# Libsysinfo location
#
LIBSYSINFO_INCLUDE = -I$(LIBSYSINFO)
LIBSYSINFO_LIBRARY = -L$(LIBSYSINFO)

ifneq ($(XGETTEXT),)
    TRANSLATIONS = translations
endif

all:	Makefile.default parse_logos linux_logo $(TRANSLATIONS)

Makefile.default:	 
	ifneq($(CONFIGURE_RAN),1)
	$(error Please run configure first)
	endif

translations:
	cd po && $(MAKE)

logos-all:	logo_config
	find ./logos -type f -a ! -name banner.logo -a ! -name classic.logo >> logo_config
	$(MAKE) all

logo_config:
	echo "./logos/banner.logo" > logo_config
	echo "./logos/classic.logo" >> logo_config

clean:	Makefile.default
	rm -f *.o
	rm -f linux_logo linux_logo-dyn parse_logos load_logos.h
	rm -f *~
	cd $(LIBSYSINFO) && $(MAKE) clean
	cd po && $(MAKE) clean

distclean: clean
	cd $(LIBSYSINFO) && $(MAKE) distclean
	rm -f Makefile.default logo_config

linux_logo:	linux_logo.o load_logo.o ./$(LIBSYSINFO)/libsysinfo.a
	$(CROSS)$(CC) $(LDFLAGS) -o linux_logo linux_logo.o load_logo.o $(LIBSYSINFO_LIBRARY) ./$(LIBSYSINFO)/libsysinfo.a 

linux_logo_shared:	linux_logo.o load_logo.o ./$(LIBSYSINFO)/libsysinfo.a
	$(CROSS)$(CC) $(CFLAGS) -o linux_logo-dyn linux_logo.o load_logo.o $(LIBSYSINFO_LIBRARY) -lsysinfo


./$(LIBSYSINFO)/libsysinfo.a:
	cd $(LIBSYSINFO) && $(MAKE)

parse_logos:	parse_logos.o load_logo_native.o
	$(CC) $(LDFLAGS) -o parse_logos parse_logos.o load_logo_native.o

parse_logos.o:	parse_logos.c logo_config
	$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c parse_logos.c

load_logos.h:	logo_config parse_logos
	./parse_logos

load_logo.o:	load_logo.c
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c load_logo.c

load_logo_native.o:	load_logo.c
	$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -o load_logo_native.o -c load_logo.c	

linux_logo.o:	linux_logo.c defaults.h load_logos.h
	@echo Compiling for $(OS)
	@echo Edit defaults.h to change Default Values
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) \
		      -DLOCALE_DIR=\"$(PREFIX)/share/locale\" -DUSE_I18N=$(USE_I18N) \
		      -c linux_logo.c

install:	linux_logo
	$(INSTALL) -c -m755 $(PROGNAME) -D $(INSTALL_BINPATH)/$(PROGNAME)
	$(INSTALL) -c -D -m644 $(PROGNAME).1.gz $(INSTALL_MANPATH)/man1/$(PROGNAME).1.gz
	cd po && $(MAKE) install

install-doc:
	$(INSTALL) -c -d -m 755 $(INSTALL_DOCPATH)/$(PROGNAME)
	$(INSTALL) -c -p -m 644 *[A-Z] $(INSTALL_DOCPATH)/$(PROGNAME)

# The old way of installing
install-by-copying:
	cp linux_logo $(PREFIX)/bin

=== libsysinfo-0.3.0/Makefile ===
include Makefile.default

all:   libsysinfo.a

clean:
	rm -f *.o *~
	rm -f libsysinfo.a libsysinfo.so config.h
	cd AIX && $(MAKE) clean
	cd Linux && $(MAKE) clean
	cd FreeBSD && $(MAKE) clean
	cd Irix && $(MAKE) clean
	cd SunOS && $(MAKE) clean
	cd w32 && $(MAKE) clean
	cd all && $(MAKE) clean

distclean: clean
	rm -f Makefile.default


install:


libsysinfo.a:	Linux/cpuinfo_alpha.c \
		Linux/cpuinfo_ia64.c \
		Linux/cpuinfo_ppc.c \
		Linux/cpuinfo_vax.c \
		Linux/cpuinfo_arm.c \
		Linux/cpuinfo_m68k.c \
		Linux/cpuinfo_s390.c \
		Linux/cpuinfo_avr32.c \
		Linux/cpuinfo_mips.c \
		Linux/cpuinfo_sh3.c \
		Linux/cpuinfo_x86.c \
		Linux/cpuinfo_cris.c \
		Linux/cpuinfo_parisc.c \
	       	Linux/cpuinfo_sparc.c \
		Linux/sysinfo_linux.c
	cd all && $(MAKE)
	cd $(OS) && $(MAKE)
	$(CROSS)$(AR) crus libsysinfo.a ./$(OS)/*.o ./all/*.o

shared:	libsysinfo.a
	ld -shared -o libsysinfo.so ./$(OS)/*.o ./all/*.o

=== po/Makefile ===
include ../Makefile.default

PACKAGE=linux_logo
INSTALL_LOCALEPATH=$(PREFIX)/share/locale

CATALOGS = da.mo de.mo es.mo fr.mo nb.mo nl.mo it.mo pl.mo pt_BR.mo ru.mo sv.mo uk.mo zh_TW.mo

POTFILES= ../*.c ../*.h

all: $(PACKAGE).pot $(CATALOGS)

$(PACKAGE).pot: $(POTFILES)
	$(XGETTEXT) --default-domain=$(PACKAGE) --add-comments --keyword=_ --keyword=S_ $(POTFILES); 
	if cmp -s $(PACKAGE).po $(PACKAGE).pot; then \
	rm -f $(PACKAGE).po; \
	else \
	mv $(PACKAGE).po $(PACKAGE).pot; \
	fi 

clean:
	rm -f *mo *~ *.bac

install: $(CATALOGS)
	for n in $(CATALOGS); do \
	l=`basename $$n .mo`; \
	$(INSTALL) -c -m 755 -d $(INSTALL_LOCALEPATH)/$$l; \
	$(INSTALL) -c -m 755 -d $(INSTALL_LOCALEPATH)/$$l/LC_MESSAGES; \
	$(INSTALL) -c -m 644 $$n $(INSTALL_LOCALEPATH)/$$l/LC_MESSAGES/$(PACKAGE).mo; \
	done

%.mo: %.po
	msgfmt -o $@ $< 

update: $(PACKAGE).pot
	for n in $(CATALOGS); do \
	l=`basename $$n .mo`; \
	l=$$l".po"; \
	mv -f $$l $$l".bac"; \
	msgmerge -o $$l $$l".bac" $(PACKAGE).pot; \
	done

=== libsysinfo-0.3.0/Linux/Makefile ===
include ../Makefile.default

ifneq (,$(findstring 86,$(ARCH)))
   ARCH := x86
endif

ifneq (,$(findstring arm,$(ARCH)))
   ARCH := arm
endif

ifneq (,$(findstring aarch64,$(ARCH)))
   ARCH := arm
endif

ifneq (,$(findstring sh,$(ARCH)))
   ARCH := sh
endif

ifneq (,$(findstring riscv,$(ARCH)))
   ARCH := riscv
endif

ifneq (,$(findstring s390,$(ARCH)))
   ARCH := s390
endif

ifneq (,$(findstring ppc,$(ARCH)))
   ARCH := ppc
endif

ifneq (,$(findstring mips,$(ARCH)))
   ARCH := mips
endif


all:	cpuinfo.o sysinfo_linux.o

cpuinfo.o:	  $(ARCH)

alpha:	cpuinfo_alpha.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_alpha.c

arm:	cpuinfo_arm.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_arm.c

avr32:	cpuinfo_avr32.c
	$(CROSS)$(CC) $(CFLAGS) -o avr32.o -c cpuinfo_avr32.c

cris:	cpuinfo_cris.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_cris.c

frv:	cpuinfo_frv.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_frv.c

ia64:	cpuinfo_ia64.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_ia64.c

m32r:	cpuinfo_m32r.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_m32r.c

m68k:	cpuinfo_m68k.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_m68k.c

microblaze:	cpuinfo_microblaze.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_microblaze.c

mips:	cpuinfo_mips.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_mips.c

mips64:	cpuinfo_mips.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_mips.c

parisc:	cpuinfo_parisc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_parisc.c

parisc64:	cpuinfo_parisc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_parisc.c

ppc:	cpuinfo_ppc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_ppc.c

ppc64:	cpuinfo_ppc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_ppc.c

riscv:	cpuinfo_riscv.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_riscv.c

s390:	cpuinfo_s390.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_s390.c

sh:	cpuinfo_sh3.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_sh3.c

sparc:	cpuinfo_sparc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_sparc.c

sparc64:	cpuinfo_sparc.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_sparc.c

vax:	cpuinfo_vax.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_vax.c

x86:	cpuinfo_x86.c
	$(CROSS)$(CC) $(CFLAGS) -o cpuinfo.o -c cpuinfo_x86.c

sysinfo_linux.o:	sysinfo_linux.c
	$(CROSS)$(CC) $(CFLAGS) -c sysinfo_linux.c

clean:	
	rm -f *~ *.o

=== libsysinfo-0.3.0/all/Makefile ===
include ../Makefile.default

all:	bogomips.o fix_mhz.o parsing.o string_truncate.o sysinfo_common.o uname.o

bogomips.o:	bogomips.c
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c bogomips.c

fix_mhz.o:	fix_mhz.c
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c fix_mhz.c

parsing.o:	parsing.c
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c parsing.c

sysinfo_common.o:	sysinfo_common.c
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c sysinfo_common.c

string_truncate.o:	string_truncate.c
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c string_truncate.c

uname.o:	uname.c
	$(CROSS)$(CC) $(CFLAGS) $(LIBSYSINFO_INCLUDE) -c uname.c

clean:
	rm -f *.o
	rm -f *~

=== debian/changelog ===
linuxlogo (6.0-0.1) unstable; urgency=medium

  * NMU: Non-Maintainer Upload
  * New Upstream release
    - Can read amount of system RAM w/o privs (closes: #839594)
    - Update debian/rules for dh13 and new release
    - Update debian/linuxlogo.docs to upstream changes
    - Forward port quilt patches, all but 3 have been upstreamed
    - Add quilt patch so po/Makefile uses DESTDIR
    - Add quilt patch to use fscanf return value
  * Bump debhelper from deprecated 9 to 13.
  * Bump to Debian Policy 4.5.1.
  * Use secure copyright file specification URI.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Repository, Repository-Browse,
    Bug-Database, Bug-Submit.
  * Update Vcs-* headers to use salsa repository.
  * Trim trailing whitespace in changelog.
  * Fix day-of-week for changelog entry 3.9b4-1.2.
  * Update watch file format version to 4.
  * Rules-Requires-Root: no
  * Add pre-dependency per lintian
  * Fix FTCBFS: Export a suitable CROSS variable (Closes: #972289),
    thanks to Helmut Grohne <helmut@subdivi.de>
  * Flush ./potmp/ stuff, backup/restore po/linux_logo.pot instead
  * Enable full hardening flags

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 31 Jan 2021 23:53:23 +0000

linuxlogo (5.11-9) unstable; urgency=medium

  * Changed maintainer's email
  * Update copyright to 2016, added logo's Author
  * Add patch with indonesian translation (Closes: #833391)
  * Add patch with BlankOn distro logo

 -- Dariusz Dwornikowski <darek@debian.org>  Tue, 20 Sep 2016 13:08:48 +0200

linuxlogo (5.11-8.1) unstable; urgency=medium

  [ Axel Beckert ]
  * Non-maintainer upload with maintainer's permission.
  * Choose vendor-based default logo at build time:
    + On Ubuntu and derivatives, it shows the "ubuntu" logo.
    + On Raspbian and derivatives, it shows the "raspi" logo.
    + Else it shows the same Debian logo as before ("debian_banner_2").
    + Fixes LP: #1088889 and LP: #1364624.
  * Properly escape "\" in logos when being fed to getty (Closes: #819926)
  * Add patch to support arm64 aka aarch64 (Closes: #791929)
  * Fix spelling errors found by lintian in README.Debian and man page.
  * Enable bindnow hardening flags.
  * Switch Vcs-* headers to https:// and cgit.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Make nearly-DEP5-compliant debian/copyright DEP5-compliant.
  * Update packaging copyright in debian/copyright.
  * Fix build log scanner warnings by properly passing $CFLAGS and
    $CPPFLAGS through libsysinfo-0.2.2/configure.

  [ Dariusz Dwornikowski ]

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Tue, 20 Sep 2016 13:08:45 +0200

=== debian/control ===
Source: linuxlogo
Section: misc
Priority: optional
Maintainer: Dariusz Dwornikowski <darek@debian.org>
Build-Depends: debhelper-compat (= 13), gettext
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://www.deater.net/weave/vmwprod/linux_logo/
Vcs-Git: https://salsa.debian.org/debian/linuxlogo.git
Vcs-Browser: https://salsa.debian.org/debian/linuxlogo

Package: linuxlogo
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: Color ANSI System Logo
 A Color ANSI Logo with some system information that can be displayed at system
 boot time or, with some local configuration, at the login prompt. Four
 different Logos are available:
 .
  * Debian Swirl(default)
  * Debian Banner
  * Tux Classic and Banner
 .
 The Classic and Banner Logos are based on Larry Ewing's Penguin. Monochrome
 ASCII versions of all the logos are included.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/vendor.mk
export CROSS=$(DEB_HOST_GNU_TYPE)-
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export DESTDIR=$(CURDIR)/debian/linuxlogo
export PREFIX=/usr

%:
	dh $@

logo_config:
	find ./logos -type f | LC_ALL=C sort > $@

# Note: NO DEPENDENCY on po/linux_logo.pot. This stanza creates a
# backup, because the original gets modified during the build process,
# so it needs to be restored while cleaning post-build. (The file
# is automatically generated, so it would be even better to just not
# have it in the upstream tarball.)
po/linux_logo.pot.BAK:
	[ ! -f $@ ] && cp --verbose po/linux_logo.pot $@

override_dh_auto_configure: logo_config po/linux_logo.pot.BAK
	./configure

debian/local/linux_logo.conf:
	d=$(dir $@);						\
	for v in $(DEB_VENDOR) $(DEB_PARENT_VENDOR) Debian; do	\
	  if [ -r $${d}linux_logo.$${v}.conf ]; then		\
	    cp -p --verbose $${d}linux_logo.$${v}.conf $@;	\
	    break;						\
	  fi							\
	done

execute_before_dh_install: debian/local/linux_logo.conf

override_dh_auto_clean:
	[ ! -f po/linux_logo.pot.BAK ] || cp --verbose po/linux_logo.pot.BAK po/linux_logo.pot
	-cmp --quiet po/linux_logo.pot.BAK po/linux_logo.pot && rm --verbose -f po/linux_logo.pot.BAK
	[ ! -f Makefile ] || ./configure && make distclean

## linuxlogo 6.01

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	cd po && $(MAKE)
 
 logos-all:	logo_config
-	find ./logos -type f -a ! -name banner.logo -a ! -name classic.logo >> logo_config
+	find ./logos -type f -a ! -name banner.logo -a ! -name classic.logo | sort >> logo_config
 	$(MAKE) all
 
 logo_config:
@@ -59,6 +59,7 @@
 distclean: clean
 	cd $(LIBSYSINFO) && $(MAKE) distclean
 	rm -f Makefile.default logo_config
+#	rm -f po/linux_logo.pot
 
 linux_logo:	linux_logo.o load_logo.o ./$(LIBSYSINFO)/libsysinfo.a
 	$(CROSS)$(CC) $(LDFLAGS) -o linux_logo linux_logo.o load_logo.o $(LIBSYSINFO_LIBRARY) ./$(LIBSYSINFO)/libsysinfo.a

=== tests/Makefile ===
CC = gcc
CFLAGS = -Wall -O2 
LFLAGS =

LIBSYSINFO = libsysinfo-0.2.2

all:	memory_print memory_method

memory_print:	memory_print.o
	$(CC) $(LFLAGS) -o memory_print memory_print.o

memory_print.o:	memory_print.c
	$(CC) $(CFLAGS) -c memory_print.c
	
memory_method:	memory_method.o ../$(LIBSYSINFO)/libsysinfo.a
	$(CC) $(LFLAGS) -o memory_method memory_method.o ../$(LIBSYSINFO)/libsysinfo.a

memory_method.o:	memory_method.c
	$(CC) $(CFLAGS) -I../$(LIBSYSINFO) -c memory_method.c	

clean:	
	rm -f *~ *.o memory_print memory_method

=== libsysinfo-0.3.0/AIX/Makefile ===
clean:	
	rm -f *~ *.o

=== libsysinfo-0.3.0/Irix/Makefile ===
include ../Makefile.default

all:	sysinfo_irix.o


sysinfo_irix.o:	      sysinfo_irix.c
		      $(CROSS)$(CC) $(CFLAGS) -c sysinfo_irix.c
		      
clean:		      
		      rm -f *~ *.o

=== debian/changelog ===
linuxlogo (6.01-0.1) unstable; urgency=medium

  * NMU: Non-Maintainer Upload
  * Quilt patches for post-6.0 upstream changes.
  * Update standards version to 4.7.0, no changes needed.
  * Dependency on lsb-base is obsolete.
  * New upstream release
  * Patch for loong64 support (closes: #1080382)
  * Use upstream man page
  * Extend and consolidate Makefile patches
    - standard variable names
    - use DESTDIR appropriately in standard fashion
    - use $(MAKE) -C
  * Cherry-pick upstream commit for newer Intel model numbers

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 04 Jan 2025 12:43:14 +0000

=== debian/control ===
Source: linuxlogo
Section: misc
Priority: optional
Maintainer: Dariusz Dwornikowski <darek@debian.org>
Build-Depends: debhelper-compat (= 13), gettext
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://www.deater.net/weave/vmwprod/linux_logo/
Vcs-Git: https://salsa.debian.org/debian/linuxlogo.git
Vcs-Browser: https://salsa.debian.org/debian/linuxlogo

Package: linuxlogo
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Color ANSI System Logo
 A Color ANSI Logo with some system information that can be displayed at system
 boot time or, with some local configuration, at the login prompt. A variety of
 different Logos are available, including:
 .
  * Debian Swirl (default)
  * Debian Banner
  * Tux Classic and Banner
 .
 The Classic and Banner Logos are based on Larry Ewing's Penguin. Monochrome
 ASCII versions of all the logos are included.
 .
 Note: the neofetch, inxi, and screenfetch packages have similar functionality.

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,14 @@
 
 execute_before_dh_install: debian/local/linux_logo.conf
 
+execute_after_dh_install: debian/linuxlogo/usr/share/man/man1/linux_logo.1
+
+debian/linuxlogo/usr/share/man/man1/linux_logo.1: linux_logo.1.gz
+	mkdir -p $(dir $@)
+	zcat $< > $@
+	sed --in-place s:infomation:information: $@
+	sed --in-place s:/usr/doc/linux_logo:/usr/share/doc/linuxlogo/: $@
+
 override_dh_auto_clean:
 	[ ! -f po/linux_logo.pot.BAK ] || cp --verbose po/linux_logo.pot.BAK po/linux_logo.pot
 	-cmp --quiet po/linux_logo.pot.BAK po/linux_logo.pot && rm --verbose -f po/linux_logo.pot.BAK

=== debian/watch ===
version=4
http://www.deater.net/weave/vmwprod/linux_logo/ linux_logo-@ANY_VERSION@@ARCHIVE_EXT@
